<?php

function PrintCommandsArray($inp)
{	$len=count($inp);
	$x=0;
	echo "<span class='c'>";
	while ($x<$len)
	{	$res .= $inp[$x];
		$res .= ", ";
		$x++;
	}
	$res=substr($res, 0, -2); //removes trailing comma

	echo "$res</span>";

}


function PrintCommandsArrayTable($inp)
{	$len=count($inp);
	$x=0;
	//echo "<span class='c'>";
	while ($x<$len)
	{	$res .= $inp[$x];
		$res .= "<td>";
		$x++;
	}
	$res=substr($res, 0, -4); //removes trailing <td>

	echo "$res";

}

function PrintIntro($whichorg, $lang)
{
	echo "This page outlines the search and edit commands available for the Astroblahhh $whichorg Organizer, shows what the various symbols mean, and provides a few other tips.
<p>
I call the \"language\" the commands are in $lang, short for Astroblahhh $whichorg Organizer Query Language.
<p>
Multiple commands can be entered, and they can be separated by double semicolons (;;) or just placed on separate lines in the search query text box.  Most commands can accept multiple arguments and negative arguments.  Multiple arguments are separated by single semicolons (;).  Negative arguments are preceded by \"!\".
<p>
If you do a tag search with negative arguments, it will result in records which don't have the tags you specified as negative arguments, but, only if those records have at least one tag.  Records without tags won't be among the results.
<p>
<br>
Optionally, instead of using the custom search engine language, you can run your own custom SQL query, in case you want to do a search that isn't possible via these search commands.  All such queries have \"SELECT\" automatically added to the beginning of them, just to make it less easy to type in some kind of database-destroying SQL command.
<p>
So, if you paste in a SELECT query and it doesn't work, it might be because you need to take \"SELECT\" out of what you pasted so the query that is sent to the database doesn't begin with \"SELECT SELECT\".
<p>
If you enter a custom SQL query, any $lang commands will be ignored.";
};

function PrintFileOrganizerIntroPart2()
{
	echo "<p>
<br>
By the way, if you're at any http:// address, it's impossible to open local links on your hard drive using the file:// protocol, so, if you go try to click a file link, you'll find it won't do anything.
<p>
This is a security feature built into your web browser.  I don't recommend turning it off - instead, just make some bookmarks which go to those files using the file:// protocol instead of http:// .
<p>
At the Astroblahhh File Organizer's list page, you can output file browsers of various styles which make it so you can easily browse the files resulting from your searches.  One annoying problem you might encounter is, your web browser might automatically give images a horrible white background when you try to browse them.  In the <a href=\"http://opera.com/\">Opera</a> web browser (and probably others, but I don't feel like figuring out how) there's a solution to that problem <a href=\"../00-readme-starthere.html#operacss\">here</a>.
<p>
The <a href=\"http://opera.com/\">Opera</a> web browser has a nice feature which allows you to browse images on your hard drive without even creating an ABDesktop file browser.  Click on the bottom of the page, put the scroll bar at the very bottom, then press space, and Opera will automatically go to one of the image files on the current lister page.  Just keep pressing space to go to the next one.";
}

function PrintDynamicallyGeneratedBit()
{
	echo "<p><br>This commands list page is actually dynamically generated, so, if you change any of the lists of commands in lib-search.php, they will be reflected in this page automatically.";
}

function PrintFormTips($whichorg)
{
	echo "<p><br>
<a name=\"formtips\"></a>
<h3>Tips For Filling Out Forms</h3>
<p>
When you want to insert the current date, I recommend using some kind of text-inserting program like <a href=\"http://www.shortkeys.com/lite.htm\" class=ext>ShortKeys Light</a>.  Here's the ShortKeys macro I use for that:
<p>
<code>&lt;hh:mm:ss{N}> &lt;MM/DD/YYYY{NF000}></code>
<p>
I have the ` key set up as my ShortKeys prefix key, and \"d\" assigned to the above macro, so when I press ` followed by \"d\" - `d - I end up with a date like this: 3:16:13 8/26/2009.
<p>
<br>
To familiarize yourself with what all the different form fields do, I recommend that before you start seriously using Astroblahhh Desktop, start with a practice database.
<p>
Then, put in whatever input you want, go to the lister, and see what resulted from your input.  When you feel well-acquainted enough with the $whichorg Organizer, or whenever you want to start afresh, you can use the $whichorg Organizer's Nuke/Make New script (found in the Dangerous Functions section) to wipe out your practice database and create a fresh, empty database.";

}

function PrintMysqlCrashTip()
{
	echo "<p><br>
<a name=\"mysqlcrashtip\"></a>
<h3>A Tip To Make MySQL Crashes Less Terrible</h3>
<p>
I'm not sure if this problem exists on other platforms, and I don't know how to fix it except on Windows XP, so, this tip is for people who have Windows XP.  It might work in Windows Vista.
<p>
MySQL can tie up your entire computer and make it very difficult and slow for you to do anything (such as shut down MySQL) when certain bad queries are put in.  Or, actually, the queries themselves might not be bad, but they can slow down your computer like crazy if executed on an improperly-prepared database - namely, a database which doesn't have indexes on the fields that need to have indexes in order for certain kinds of queries to be speedily executable.
<p>
So, here's a tip that would probably be good to do before you input a questionable MySQL query. It might also be useful if you ever stumble across a catastrophic glitch in the Astroblahhh Desktop search system (like the glitch in versions of Astroblahhh Desktop prior to v1.0 which caused MySQL to tie up your entire computer if you input a negative argument in a tag search if you didn't have indexes on the tagmap table's fields).
<p>
Press Ctrl-Alt-Delete on your keyboard to open the Windows Task Manager.  Then, click the Processes tab, and click the column name \"Image Name\" to put the list of programs in alphabetical order.  Then, right-click on mysqld.exe, select \"Set Priority\" from the pop-up menu, and set the priority to low.  This will make it so MySQL won't tie up your computer as much if it ever happens to crash.  If MySQL crashes, you'll be able to stop MySQL by opening the Windows Task Manager, right-clicking on mysqld.exe, selecting \"End Process\", and then clicking the \"Yes\" button.
<p>
<br>";
}
?>